# Interface IImageOptions

#### Hierarchy

- IImageOptions

- Defined in src/file/paragraph/run/image-run.ts:11

#####
Index

### Properties

altText?
data
floating?
transformation

## Properties

### `Optional` `Readonly` altText

altText?: DocPropertiesOptions

- Defined in src/file/paragraph/run/image-run.ts:15

### `Readonly` data

data: string | Buffer | Uint8Array | ArrayBuffer

- Defined in src/file/paragraph/run/image-run.ts:12

### `Optional` `Readonly` floating

floating?: IFloating

- Defined in src/file/paragraph/run/image-run.ts:14

### `Readonly` transformation

transformation: IMediaTransformation

- Defined in src/file/paragraph/run/image-run.ts:13

Generated using TypeDoc